Bug 8290 - Replace usage of Greybox modals with Bootstrap modals
Summary: Replace usage of Greybox modals with Bootstrap modals
Status: NEW
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on: 15309 15313 15314 15315 15316 15317 15318 15319 15320 16592 16600 16778 24059
Blocks: 22882
  Show dependency treegraph
 
Reported: 2012-06-22 11:50 UTC by Owen Leonard
Modified: 2019-11-18 16:08 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-06-22 11:50:16 UTC
jQueryUI includes a Dialog widget which can replace the Greybox library. Doing so will make the UI of dialogs in Koha consistent with other jQueryUI components and offer a tool which can be expanded into a wider array of usages.

http://jqueryui.com/demos/dialog/
Comment 1 David Cook 2014-05-30 01:09:26 UTC
Yes, I would be so keen for this, especially in light of bug 12325.

Owen, do you have a branch for this sitting somewhere or even some tips? I'm hating on Greybox so much at the moment...
Comment 2 David Cook 2014-05-30 02:26:06 UTC
Actually, after getting frustrated with Greybox in IE 8, I used a Bootstrap modal populated via Ajax, which seems to work a treat cross-browser. 

Since it seems we're already Bootstrap-ifying the staff client, I figure it might make more sense to go with Bootstrap now rather than jQueryUI.

Since this is a rather old bug, I imagine that's probably your thoughts too, Owen?
Comment 3 Owen Leonard 2016-05-26 13:51:07 UTC
The simplest Greybox uses have been taken care of. The remaining cases will all require more complex AJAX handling because of the kind of in-modal operations used:

Localization:

admin/itemtypes.tt
admin/localization.tt

Label and card export:

labels/label-edit-batch.tt
labels/label-manage.tt
patron_lists/lists.tt
patroncards/edit-batch.tt
patroncards/manage.tt
Comment 4 Katrin Fischer 2019-04-28 13:23:29 UTC
Hi Owen, do you want to leave this open?
Comment 5 Owen Leonard 2019-04-29 12:39:50 UTC
I would really like to replace Greybox. The original site (http://orangoo.com/labs/GreyBox/) appears to no longer exist. I realize it has been working fine, but I hate to be using something which is abandoned.
Comment 6 Katrin Fischer 2019-04-29 12:57:06 UTC
(In reply to Owen Leonard from comment #5)
> I would really like to replace Greybox. The original site
> (http://orangoo.com/labs/GreyBox/) appears to no longer exist. I realize it
> has been working fine, but I hate to be using something which is abandoned.

I agree, but not sure how hard it would be. Do you need help?